tasty-rerun-1.1.6: Run tests by filtering the test tree depending on the result of previous test runs

Safe Haskell | None
Language | Haskell2010

Test.Tasty.Ingredients.Rerun

Synopsis

- rerunningTests :: [Ingredient] -> Ingredient

# Documentation

rerunningTests :: [Ingredient] -> Ingredient #

This `Ingredient` transformer adds various `--rerun` options to your test program. These flags add stateful execution of your test suite, allowing you to rerun only tests that are failing from the previous run, or tests that that have been added since the last test ran, once the `TestTree` has been filtered.

The input list of `Ingredient`s specifies the `Ingredients`s that will actually work with the filtered `TestTree`. Normally, you'll want at least `consoleTestReporter`.